#ifndef __ACCESS_CONFIG_H__
#define __ACCESS_CONFIG_H__ 1

#include <arpa/inet.h>
#include <sys/socket.h>

struct iod_t {
	int id;
	struct sockaddr_in sin;
};

struct viod_t {
	int id;
	int nbiods;
	struct iod_t *iods;
};

/* get_config - fill and allocate a configuration array of viod_t
 *  @viodsp      allocated array
 *  @viods_sizep the size of the array
 *
 * return value:
 *   0 success
 *   -1 failure
 *   */
int get_config(struct viod_t **viodsp, int *viods_sizep);


/* free_config - free an array provided by get_config()
 * @viods	array to free
 * @viod_size	size of the array
 * */
void free_config(struct viod_t *viods, int viods_size);

#endif
